/* $Id: signalhandler.hpp,v 1.4 2005/06/28 13:55:23 chfreund Exp $ */

#ifndef _SIGNALHANDLER_HPP_
#define _SIGNALHANDLER_HPP_

class SignalHandler {
	private:
		SignalHandler();
		~SignalHandler() {};
		static SignalHandler* m_handler;
		static bool m_signal;
		static bool m_quit;
		static bool m_pause;
		
	public:
		static SignalHandler* getInstance();
		static void deleteInstance();
		static void handler( const int sig );
		void setSignal( bool flag ) { m_signal = flag; }
		bool hasSignal() { return m_signal; }
		bool hasQuit() { return m_quit; }
		bool hasPause() { return m_pause; }
};

#endif // _SIGNALHANDLER_HPP_
