/* $Id: weaponhookrel.hpp,v 1.8 2005/07/26 12:33:36 pohlt Exp $ */

#ifndef _WEAPONHOOKREL_HPP_
#define _WEAPONHOOKREL_HPP_

#include "weaponhookcut.hpp"
#include "audio.hpp"

class WeaponHookRel : public WeaponHookCut {
	public:
		WeaponHookRel() {
			m_ID          = WEAPON_HOOK_REL;
			m_maximumAmmo =   1;
			m_reloadTime  =   1;
			m_chargeTime  =  10;
			rechargeNow();
			m_shotSample = NULL; //Audio::getInstance()->loadSound( "sound/weapons/hook/shoot.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const ;
};

#endif // _WEAPONMISSILE_HPP_
